Skip to navigation

Retrieve Employee Time Off Data for Offboarding

Returns the time off the employee on a contract has already taken and has scheduled, which is the time off information an offboarding request asks for. Use it while preparing an offboarding request so that information can be completed.

Token scopes: contracts:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Query parameters

end_datestringOptionalformat: "date"
Desired end date for offboarding

Response

Successfully retrieved used time off information
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error